Loading...
Searching...
No Matches
gtsam::Preconditioner Class Referenceabstract
Inheritance diagram for gtsam::Preconditioner:

## Public Member Functions

virtual void | solve (const Vector &y, Vector &x) const =0
| implement x = L^{-1} y
virtual void | transposeSolve (const Vector &y, Vector &x) const =0
| implement x = L^{-T} y
virtual void | build (const GaussianFactorGraph &gfg, const KeyInfo &info, const std::map< Key, Vector > &lambda)=0
| build/factorize the preconditioner

## Public Types

typedef boost::shared_ptr< Preconditioner > | shared_ptr
typedef std::vector< size_t > | Dimensions

## Member Function Documentation

## build()

virtual void gtsam::Preconditioner::build | ( | const GaussianFactorGraph & | gfg,
|  | const KeyInfo & | info,
|  | const std::map< Key, Vector > & | lambda )

pure virtual

build/factorize the preconditioner

Implemented in gtsam::BlockJacobiPreconditioner, gtsam::DummyPreconditioner, and gtsam::SubgraphPreconditioner.

## solve()

virtual void gtsam::Preconditioner::solve | ( | const Vector & | y,
|  | Vector & | x ) const

pure virtual

implement x = L^{-1} y

Implemented in gtsam::BlockJacobiPreconditioner, gtsam::DummyPreconditioner, and gtsam::SubgraphPreconditioner.

## transposeSolve()

virtual void gtsam::Preconditioner::transposeSolve | ( | const Vector & | y,
|  | Vector & | x ) const

pure virtual

implement x = L^{-T} y

Implemented in gtsam::BlockJacobiPreconditioner, gtsam::DummyPreconditioner, and gtsam::SubgraphPreconditioner.

The documentation for this class was generated from the following file:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/linear/Preconditioner.h